QuickFIX: FIX::LocalTimeOnly Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::LocalTimeOnly Class Reference
[User]

Time only represented in local time. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::LocalTimeOnly:
[legend]
Collaboration diagram for FIX::LocalTimeOnly:
[legend]

List of all members.

## Public Member Functions
| LocalTimeOnly ()
| Defaults to the current time.
| LocalTimeOnly (const DateTime &val)
| LocalTimeOnly (int hour, int minute, int second, int millisecond=0)
| LocalTimeOnly (time_t time, int millisecond=0)
| LocalTimeOnly (const tm *time, int millisecond=0)
void | setCurrent ()
| Set to the current time.

## Detailed Description

Time only represented in local time.

Definition at line 510 of file FieldTypes.h.

## Constructor & Destructor Documentation

FIX::LocalTimeOnly::LocalTimeOnly | ( |  | ) | `[inline]`

Defaults to the current time.

Definition at line 514 of file FieldTypes.h.

References setCurrent().

    00515   {
    00516     setCurrent();
    00517   }

FIX::LocalTimeOnly::LocalTimeOnly | ( | const DateTime & | val | ) | `[inline]`

Definition at line 519 of file FieldTypes.h.

References FIX::DateTime::clearDate().

    00520   : DateTime(val)
    00521   {
    00522     clearDate();
    00523   }

FIX::LocalTimeOnly::LocalTimeOnly | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Definition at line 525 of file FieldTypes.h.

References FIX::DateTime::setHMS().

    00526   {
    00527     setHMS( hour, minute, second, millisecond );
    00528   }

FIX::LocalTimeOnly::LocalTimeOnly | ( | time_t | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline, explicit]`

Definition at line 530 of file FieldTypes.h.

References FIX::DateTime::clearDate().

    00531   : DateTime( fromLocalTimeT (time, millisecond) )
    00532   {
    00533     clearDate();
    00534   }

FIX::LocalTimeOnly::LocalTimeOnly | ( | const tm * | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Definition at line 536 of file FieldTypes.h.

References FIX::DateTime::clearDate().

    00537   : DateTime( fromTm (*time, millisecond) )
    00538   {
    00539     clearDate();
    00540   }

## Member Function Documentation

void FIX::LocalTimeOnly::setCurrent | ( |  | ) | `[inline]`

Set to the current time.

Definition at line 543 of file FieldTypes.h.

References FIX::DateTime::m_time, and FIX::DateTime::nowLocal().

Referenced by LocalTimeOnly().

    00544   {
    00545     DateTime d = nowLocal();
    00546     m_time = d.m_time;
    00547   }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldTypes.h